## org.codehaus.groovy.grails.web.taglib
Class NamespacedTagDispatcher

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.web.taglib.NamespacedTagDispatcher

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class NamespacedTagDispatcher

extends groovy.lang.GroovyObjectSupport

Constructor Summary
`NamespacedTagDispatcher(String ns, Class callingType, GrailsApplication application, TagLibraryLookup lookup)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`GrailsApplication` `getApplication()`
`TagLibraryLookup` `getLookup()`
`String` `getNamespace()`
`Class` `getType()`
`Object` `invokeMethod(String name, Object args)`
`void` `setApplication(GrailsApplication value)`
`void` `setLookup(TagLibraryLookup value)`
`void` `setNamespace(String value)`
`void` `setType(Class value)`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespacedTagDispatcher

    public NamespacedTagDispatcher(String ns,
                                   Class callingType,
                                   GrailsApplication application,
                                   TagLibraryLookup lookup)

Method Detail

### getNamespace

    public String getNamespace()

### setNamespace

    public void setNamespace(String value)

### getApplication

    public GrailsApplication getApplication()

### setApplication

    public void setApplication(GrailsApplication value)

### getType

    public Class getType()

### setType

    public void setType(Class value)

### getLookup

    public TagLibraryLookup getLookup()

### setLookup

    public void setLookup(TagLibraryLookup value)

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`
  Overrides:
    `invokeMethod` in class `groovy.lang.GroovyObjectSupport`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

Copyright (c) 2005-2009 The Grails project